#pragma once

#include <SFML/Graphics.hpp>
#include <misc/types.h>

class Palette {
private:
  static const sf::Color colors[4];
  static const sf::Color transparent;

  u8 idx_to_color[4];
  bool transparent0;
public:
  Palette(bool transparent0);

  void setRegValue(u8 regval);
  u8 getRegValue();

  const sf::Color& getColorByIdx(u8 idx);

};
