#pragma once

#include <memory/device.h>
#include <memory/ram.h>
#include <cartridge/cartridge.h>

class MBC1 : public Mem_device {
private:
  Cartridge& cart;
  u8 main_bankreg;
  u8 ram_bankreg;

  bool ram_enabled;

  RAM external_ram;

public:
  MBC1(Cartridge& cart);

  virtual void write8(u16 addr, u8 data);
  virtual u8 read8(u16 addr);
};
