#include <memory/register.h>

void BoundRegister::write8(u16 addr, u8 data)
{
  if(addr) return;
  reg = data;
}

u8 BoundRegister::read8(u16 addr)
{
  if(addr) return 0xFF;
  return reg;
}

void ConstRegister::write8(u16 addr, u8 data)
{}

u8 ConstRegister::read8(u16 addr)
{ return value; }
