#pragma once

#include <cpu/cpu.h>
#include <misc/types.h>
#include <memory/device.h>
#include <SFML/System/Clock.hpp>

class TimerDiv : public Mem_device {
private:
  sf::Clock divClock;

public:
  TimerDiv() = default;

  virtual void write8(u16 addr, u8 data);
  virtual u8 read8(u16 addr);
};
